Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.record.jvm
Class AbstractJVMRecord

    java.lang.Object
      kieker.common.record.AbstractMonitoringRecord
          kieker.common.record.jvm.AbstractJVMRecord

All Implemented Interfaces:
  Serializable, Comparable<IMonitoringRecord>, IMonitoringRecord, IMonitoringRecord.BinaryFactory, IMonitoringRecord.Factory

Direct Known Subclasses:
  ClassLoadingRecord, CompilationRecord, GCRecord, MemoryRecord, ThreadsStatusRecord, UptimeRecord

    public abstract class AbstractJVMRecord

extends AbstractMonitoringRecord
implements IMonitoringRecord.Factory, IMonitoringRecord.BinaryFactory

Since:
  1.10
Author:
  Nils Christian Ehmke
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.common.record.IMonitoringRecord
`IMonitoringRecord.BinaryFactory, IMonitoringRecord.Factory`

Field Summary

Fields inherited from class kieker.common.record.AbstractMonitoringRecord
`TYPE_SIZE_BOOLEAN, TYPE_SIZE_BYTE, TYPE_SIZE_CHARACTER, TYPE_SIZE_DOUBLE, TYPE_SIZE_FLOAT, TYPE_SIZE_INT, TYPE_SIZE_LONG, TYPE_SIZE_SHORT, TYPE_SIZE_STRING`

Constructor Summary
`AbstractJVMRecord(ByteBuffer buffer, IRegistry<String> stringRegistry)` This constructor converts the given array into a record.
`AbstractJVMRecord(long timestamp, String hostname, String vmName)` Creates a new instance of this class using the given parameters.

Method Summary
`String` | `getHostname()`
`long` | `getTimestamp()`
`String` | `getVmName()`
`void` | `initFromArray(Object[] values)` Deprecated. This record uses the `IMonitoringRecord.Factory` mechanism. Hence, this method is not implemented.
`void` | `initFromBytes(ByteBuffer buffer, IRegistry<String> stringRegistry)` Deprecated. This record uses the `IMonitoringRecord.BinaryFactory` mechanism. Hence, this method is not implemented.

Methods inherited from class kieker.common.record.AbstractMonitoringRecord
`checkArray, classForName, compareTo, createFromArray, createFromByteBuffer, createFromStringArray, equals, fromStringArrayToTypedArray, getLoggingTimestamp, hashCode, setLoggingTimestamp, toString, typesForClass`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface kieker.common.record.IMonitoringRecord
`getSize, getValueTypes, toArray, writeBytes`

Constructor Detail

### AbstractJVMRecord

    public AbstractJVMRecord(long timestamp,
                             String hostname,
                             String vmName)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `timestamp` - timestamp
    `hostname` - hostname
    `vmName` - vmName

### AbstractJVMRecord

    public AbstractJVMRecord(ByteBuffer buffer,
                             IRegistry<String> stringRegistry)
                      throws BufferUnderflowException

  This constructor converts the given array into a record.

  Parameters:
    `buffer` - The bytes for the record.
  Throws:
    `BufferUnderflowException` - if buffer not sufficient

Method Detail

### initFromArray

    @Deprecated
    public void initFromArray(Object[] values)

  Deprecated. This record uses the `IMonitoringRecord.Factory` mechanism. Hence, this method is not implemented.

  This method should initialize the record based on the given values. The array should be one of those resulting from a call to `IMonitoringRecord.toArray()`.

  Specified by:
    `initFromArray` in interface `IMonitoringRecord`
  Parameters:
    `values` - The values for the record.

### initFromBytes

    @Deprecated
    public void initFromBytes(ByteBuffer buffer,
                                         IRegistry<String> stringRegistry)
                       throws BufferUnderflowException

  Deprecated. This record uses the `IMonitoringRecord.BinaryFactory` mechanism. Hence, this method is not implemented.

  This method should initialize the record based on the given values. The array should be one of those resulting from a call to `IMonitoringRecord.writeBytes(ByteBuffer, IRegistry)`.

  Specified by:
    `initFromBytes` in interface `IMonitoringRecord`
  Parameters:
    `buffer` - The bytes for the record.
    `stringRegistry` - The Registry storing the strings.
  Throws:
    `BufferUnderflowException` - if buffer not sufficient

### getTimestamp

    public final long getTimestamp()

### getHostname

    public final String getHostname()

### getVmName

    public final String getVmName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net